// IMGList.h: interface for the CIMGList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMGLIST_H__DAF01EB9_76D5_44EF_9A11_32373CC5B910__INCLUDED_)
#define AFX_IMGLIST_H__DAF01EB9_76D5_44EF_9A11_32373CC5B910__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IMG.h"

typedef struct _IMGNODE {
	CIMG *pIMG;
	struct _IMGNODE *pNext;
	struct _IMGNODE	*pBefore;
} IMGNODE;

class CIMGList  
{
public:
	IMGNODE * GetTailPointer();
	IMGNODE * GetHeadPointer();
	int GetNodeCount();
	void InsertNodeTail(CIMG *pIMG);
	void DeleteAllNode();
	CIMGList();
	virtual ~CIMGList();
private:
	int			m_nCount;
	IMGNODE		*m_pHead;
	IMGNODE		*m_pTail;
};

#endif // !defined(AFX_IMGLIST_H__DAF01EB9_76D5_44EF_9A11_32373CC5B910__INCLUDED_)
